export namespace Configs {

    export const weizhi_nian_gan = 1
    export const weizhi_yue_gan = 2
    export const weizhi_ri_gan = 3
    export const weizhi_shi_gan = 4
    export const weizhi_nian_zhi = 5
    export const weizhi_yue_zhi = 6
    export const weizhi_ri_zhi = 7
    export const weizhi_shi_zhi = 8
    export const weizhi_dayun_gan = 11
    export const weizhi_dayun_zhi = 12
    export const weizhi_liunian_gan = 13
    export const weizhi_liunian_zhi = 14
    export const weizhi_liuyue_gan = 15
    export const weizhi_liuyue_zhi = 16
    export const weizhi_liuri_gan = 17
    export const weizhi_liuri_zhi = 18
    export const weizhi_liushi_gan = 19
    export const weizhi_liushi_zhi = 20
    export const weizhi_zengbu1_gan = 21
    export const weizhi_zengbu1_zhi = 22

    export let nameOfZhu = {
        1: "年干",
        2: "月干",
        3: "日干",
        4: "时干",
        5: "年支",
        6: "月支",
        7: "日支",
        8: "时支",
        11: "大运干",
        12: "大运支",
        13: "流年干",
        14: "流年支",
        15: "流月干",
        16: "流月支",
        17: "流日干",
        18: "流日支",
        19: "流时干",
        20: "流时支",
    }
    export const tianganAry = ["甲", "乙", "丙", "丁", "戊", "己", "庚", "辛", "壬", "癸"]
    export const dizhiAry = ["子", "丑", "寅", "卯", "辰", "巳", "午", "未", "申", "酉", "戌", "亥"]

    export const nongliAry = ["初一", "初二", "初三", "初四", "初五", "初六", "初七", "初八", "初九", "初十",
        "十一", "十二", "十三", "十四", "十五", "十六", "十七", "十八", "十九", "廿十",
        "廿一", "廿二", "廿三", "廿四", "廿五", "廿六", "廿七", "廿八", "廿九", "三十"]

    export let config_wuxing = {
        "甲": "木",
        "乙": "木",
        "丙": "火",
        "丁": "火",
        "戊": "土",
        "己": "土",
        "庚": "金",
        "辛": "金",
        "壬": "水",
        "癸": "水",
        "子": "水",
        "丑": "土",
        "寅": "木",
        "卯": "木",
        "辰": "土",
        "巳": "火",
        "午": "火",
        "未": "土",
        "申": "金",
        "酉": "金",
        "戌": "土",
        "亥": "水",
    }


    export let config_gaoneng = {
        "甲己合": {
            "name": "甲己合",
            "guanxi": "合",
            "father": null,
            "leibie": "天干合",
            "hehua": "土",
            "tip": null,
            "fangxiang": "己",
        },
        "乙庚合": {
            "name": "乙庚合",
            "guanxi": "合",
            "father": null,
            "leibie": "天干合",
            "hehua": "金",
            "tip": null,
            "fangxiang": "庚",
        },
        "丙辛合": {
            "name": "丙辛合",
            "guanxi": "合",
            "father": null,
            "leibie": "天干合",
            "hehua": "水",
            "tip": null,
            "fangxiang": "辛",
        },
        "丁壬合": {
            "name": "丁壬合",
            "guanxi": "合",
            "father": null,
            "leibie": "天干合",
            "hehua": "木",
            "tip": null,
            "fangxiang": "壬",
        },
        "戊癸合": {
            "name": "戊癸合",
            "guanxi": "合",
            "father": null,
            "leibie": "天干合",
            "hehua": "火",
            "tip": null,
            "fangxiang": "戊",
        },
        "甲庚冲": {
            "name": "甲庚冲",
            "guanxi": "冲",
            "father": null,
            "leibie": "天干冲",
            "hehua": null,
            "tip": null,
            "fangxiang": null,
        },
        "乙辛冲": {
            "name": "乙辛冲",
            "guanxi": "冲",
            "father": null,
            "leibie": "天干冲",
            "hehua": null,
            "tip": null,
            "fangxiang": null,
        },
        "丙壬冲": {
            "name": "丙壬冲",
            "guanxi": "冲",
            "father": null,
            "leibie": "天干冲",
            "hehua": null,
            "tip": null,
            "fangxiang": null,
        },
        "丁癸冲": {
            "name": "丁癸冲",
            "guanxi": "冲",
            "father": null,
            "leibie": "天干冲",
            "hehua": null,
            "tip": null,
            "fangxiang": null,
        },
        "子丑合": {
            "name": "子丑合",
            "guanxi": "合",
            "father": null,
            "leibie": "地支合",
            "hehua": "土",
            "tip": null,
            "fangxiang": "丑",
        },
        "寅亥合": {
            "name": "寅亥合",
            "guanxi": "合",
            "father": null,
            "leibie": "地支合",
            "hehua": "木",
            "tip": null,
            "fangxiang": "寅",
        },
        "卯戌合": {
            "name": "卯戌合",
            "guanxi": "合",
            "father": null,
            "leibie": "地支合",
            "hehua": "火",
            "tip": null,
            "fangxiang": "戌",
        },
        "酉辰合": {
            "name": "酉辰合",
            "guanxi": "合",
            "father": null,
            "leibie": "地支合",
            "hehua": "金",
            "tip": null,
            "fangxiang": "酉",
        },
        "巳申合": {
            "name": "巳申合",
            "guanxi": "合",
            "father": null,
            "leibie": "地支合",
            "hehua": "水",
            "tip": null,
            "fangxiang": "申",
        },
        "午未合": {
            "name": "午未合",
            "guanxi": "合",
            "father": null,
            "leibie": "地支合",
            "hehua": "火",
            "tip": null,
            "fangxiang": "午",
        },
        "子午冲": {
            "name": "子午冲",
            "guanxi": "冲",
            "father": null,
            "leibie": "地支冲",
            "hehua": null,
            "tip": "表示无妄之灾，特点是突发、迅猛，但是后果不严重，或者当场消停，虚惊一场。对应在健康上，需有人陪伴。",
            "fangxiang": null,
        },
        "巳亥冲": {
            "name": "巳亥冲",
            "guanxi": "冲",
            "father": null,
            "leibie": "地支冲",
            "hehua": null,
            "tip": "水火斗为主，伴随金木斗，影响肝脏、肺部健康，遇见应多去体检身体，确保健康，相对健康影响比较大",
            "fangxiang": null,
        },
        "卯酉冲": {
            "name": "卯酉冲",
            "guanxi": "冲",
            "father": null,
            "leibie": "地支冲",
            "hehua": null,
            "tip": "主血光之灾(比如开刀)，影响肝胆、肺部、食道、呼吸道、肠道健康",
            "fangxiang": null,
        },
        "申寅冲": {
            "name": "申寅冲",
            "guanxi": "冲",
            "father": null,
            "leibie": "地支冲",
            "hehua": null,
            "tip": "主内伤，多作用在肾脏、心脑血管，多急症。",
            "fangxiang": null,
        },
        "辰戌冲": {
            "name": "辰戌冲",
            "guanxi": "冲",
            "father": null,
            "leibie": "地支冲",
            "hehua": null,
            "tip": "主开库，开库后引发乙辛冲、丁癸冲",
            "fangxiang": null,
        },
        "丑未冲": {
            "name": "丑未冲",
            "guanxi": "冲",
            "father": null,
            "leibie": "地支冲",
            "hehua": null,
            "tip": "主开库，开库后引发乙辛冲、丁癸冲",
            "fangxiang": null,
        },
        "寅丑暗合": {
            "name": "寅丑暗合",
            "guanxi": "暗合",
            "father": null,
            "leibie": "地支暗合",
            "hehua": "土",
            "tip": null,
            "fangxiang": "丑",
        },
        "午亥暗合": {
            "name": "午亥暗合",
            "guanxi": "暗合",
            "father": null,
            "leibie": "地支暗合",
            "hehua": "木",
            "tip": null,
            "fangxiang": "亥",
        },
        "申卯暗合": {
            "name": "申卯暗合",
            "guanxi": "暗合",
            "father": null,
            "leibie": "地支暗合",
            "hehua": "金",
            "tip": null,
            "fangxiang": "申",
        },
        "子辰半合": {
            "name": "子辰半合",
            "guanxi": "半合",
            "father": null,
            "leibie": "地支三合",
            "hehua": "水",
            "tip": null,
            "fangxiang": "子",
        },
        "申子半合": {
            "name": "申子半合",
            "guanxi": "半合",
            "father": null,
            "leibie": "地支三合",
            "hehua": "水",
            "tip": null,
            "fangxiang": "子",
        },
        "亥卯半合": {
            "name": "亥卯半合",
            "guanxi": "半合",
            "father": null,
            "leibie": "地支三合",
            "hehua": "木",
            "tip": null,
            "fangxiang": "卯",
        },
        "卯未半合": {
            "name": "卯未半合",
            "guanxi": "半合",
            "father": null,
            "leibie": "地支三合",
            "hehua": "木",
            "tip": null,
            "fangxiang": "卯",
        },
        "寅午半合": {
            "name": "寅午半合",
            "guanxi": "半合",
            "father": null,
            "leibie": "地支三合",
            "hehua": "火",
            "tip": null,
            "fangxiang": "午",
        },
        "午戌半合": {
            "name": "午戌半合",
            "guanxi": "半合",
            "father": null,
            "leibie": "地支三合",
            "hehua": "火",
            "tip": null,
            "fangxiang": "午",
        },
        "巳酉半合": {
            "name": "巳酉半合",
            "guanxi": "半合",
            "father": null,
            "leibie": "地支三合",
            "hehua": "金",
            "tip": null,
            "fangxiang": "酉",
        },
        "酉丑半合": {
            "name": "酉丑半合",
            "guanxi": "半合",
            "father": null,
            "leibie": "地支三合",
            "hehua": "金",
            "tip": null,
            "fangxiang": "酉",
        },
        "申辰拱合": {
            "name": "申辰拱合",
            "guanxi": "拱合",
            "father": null,
            "leibie": "地支三合",
            "hehua": "水",
            "tip": null,
            "fangxiang": "子",
        },
        "亥未拱合": {
            "name": "亥未拱合",
            "guanxi": "拱合",
            "father": null,
            "leibie": "地支三合",
            "hehua": "木",
            "tip": null,
            "fangxiang": "卯",
        },
        "寅戌拱合": {
            "name": "寅戌拱合",
            "guanxi": "拱合",
            "father": null,
            "leibie": "地支三合",
            "hehua": "火",
            "tip": null,
            "fangxiang": "午",
        },
        "巳丑拱合": {
            "name": "巳丑拱合",
            "guanxi": "拱合",
            "father": null,
            "leibie": "地支三合",
            "hehua": "金",
            "tip": null,
            "fangxiang": "酉",
        },
        "寅卯辰三会": {
            "name": "寅卯辰三会",
            "guanxi": "三会",
            "father": null,
            "leibie": "地支三会",
            "hehua": "木",
            "tip": null,
            "fangxiang": "卯",
        },
        "巳午未三会": {
            "name": "巳午未三会",
            "guanxi": "三会",
            "father": null,
            "leibie": "地支三会",
            "hehua": "火",
            "tip": null,
            "fangxiang": "午",
        },
        "申酉戌三会": {
            "name": "申酉戌三会",
            "guanxi": "三会",
            "father": null,
            "leibie": "地支三会",
            "hehua": "金",
            "tip": null,
            "fangxiang": "酉",
        },
        "亥子丑三会": {
            "name": "亥子丑三会",
            "guanxi": "三会",
            "father": null,
            "leibie": "地支三会",
            "hehua": "水",
            "tip": null,
            "fangxiang": "子",
        },
        "子卯刑": {
            "name": "子卯刑",
            "guanxi": "刑",
            "father": null,
            "leibie": "地支刑",
            "hehua": null,
            "tip": "一方付出，另一方不领情 ",
            "fangxiang": null,
        },
        "寅巳刑": {
            "name": "寅巳刑",
            "guanxi": "刑",
            "father": null,
            "leibie": "地支刑",
            "hehua": null,
            "tip": null,
            "fangxiang": null,
        },
        "巳申刑": {
            "name": "巳申刑",
            "guanxi": "刑",
            "father": null,
            "leibie": "地支刑",
            "hehua": null,
            "tip": null,
            "fangxiang": null,
        },
        "戌未刑": {
            "name": "戌未刑",
            "guanxi": "刑",
            "father": null,
            "leibie": "地支刑",
            "hehua": null,
            "tip": null,
            "fangxiang": null,
        },
        "丑戌刑": {
            "name": "丑戌刑",
            "guanxi": "刑",
            "father": null,
            "leibie": "地支刑",
            "hehua": null,
            "tip": "容易动刀，刑在年柱应期在0-15岁，往后每柱增加15岁应期，循环往复。也可能应在不同柱所代表的六亲身上。",
            "fangxiang": null,
        },
        "辰辰自刑": {
            "name": "辰辰自刑",
            "guanxi": "自刑",
            "father": null,
            "leibie": "地支自刑",
            "hehua": null,
            "tip": "容易庸人自扰，念头不通畅，进入哲学思维模式",
            "fangxiang": null,
        },
        "午午自刑": {
            "name": "午午自刑",
            "guanxi": "自刑",
            "father": null,
            "leibie": "地支自刑",
            "hehua": null,
            "tip": "容易口舌是非、空想，产生自我心理幻觉，无中生有又以此与人争执，或者喜欢没完没了的抱怨吐槽",
            "fangxiang": null,
        },
        "酉酉自刑": {
            "name": "酉酉自刑",
            "guanxi": "自刑",
            "father": null,
            "leibie": "地支自刑",
            "hehua": null,
            "tip": "容易神神叨叨，为金钱烦恼，喜欢抬扛",
            "fangxiang": null,
        },
        "亥亥自刑": {
            "name": "亥亥自刑",
            "guanxi": "自刑",
            "father": null,
            "leibie": "地支自刑",
            "hehua": null,
            "tip": "容易顾虑太多，选择困难",
            "fangxiang": null,
        },
        "卯午破": {
            "name": "卯午破",
            "guanxi": "破",
            "father": null,
            "leibie": "地支破",
            "hehua": null,
            "tip": "才多识广，读书破万卷(有家学渊源才行)；也指婚姻、感情破裂",
            "fangxiang": null,
        },
        "午酉破": {
            "name": "午酉破",
            "guanxi": "破",
            "father": null,
            "leibie": "地支破",
            "hehua": null,
            "tip": "离婚、也指炒股、贷款、金融上的投资不利，也表示抵押、车祸",
            "fangxiang": null,
        },
        "子酉破": {
            "name": "子酉破",
            "guanxi": "破",
            "father": null,
            "leibie": "地支破",
            "hehua": null,
            "tip": null,
            "fangxiang": null,
        },
        "巳申破": {
            "name": "巳申破",
            "guanxi": "破",
            "father": null,
            "leibie": "地支破",
            "hehua": null,
            "tip": null,
            "fangxiang": null,
        },
        "丑辰破": {
            "name": "丑辰破",
            "guanxi": "破",
            "father": null,
            "leibie": "地支破",
            "hehua": null,
            "tip": null,
            "fangxiang": null,
        },
        "寅亥破": {
            "name": "寅亥破",
            "guanxi": "破",
            "father": null,
            "leibie": "地支破",
            "hehua": null,
            "tip": null,
            "fangxiang": null,
        },
        "戌未破": {
            "name": "戌未破",
            "guanxi": "破",
            "father": null,
            "leibie": "地支破",
            "hehua": null,
            "tip": null,
            "fangxiang": null,
        },
        "子未穿": {
            "name": "子未穿",
            "guanxi": "穿",
            "father": null,
            "leibie": "地支穿",
            "hehua": null,
            "tip": "不计代价的除掉对方",
            "fangxiang": null,
        },
        "卯辰穿": {
            "name": "卯辰穿",
            "guanxi": "穿",
            "father": null,
            "leibie": "地支穿",
            "hehua": null,
            "tip": "凶险度很高的穿，慢性伤害，渗透后伤害",
            "fangxiang": null,
        },
        "酉戌穿": {
            "name": "酉戌穿",
            "guanxi": "穿",
            "father": null,
            "leibie": "地支穿",
            "hehua": null,
            "tip": "凶险度很高的穿，突发伤害，同归于尽的决绝，也指舆情、爆炸性新闻。穿配偶宫一旦领证就容易互相伤害，直到老死不相往来",
            "fangxiang": null,
        },
        "午丑穿": {
            "name": "午丑穿",
            "guanxi": "穿",
            "father": null,
            "leibie": "地支穿",
            "hehua": null,
            "tip": null,
            "fangxiang": null,
        },
        "寅巳穿": {
            "name": "寅巳穿",
            "guanxi": "穿",
            "father": null,
            "leibie": "地支穿",
            "hehua": null,
            "tip": "容易以卵击石，以小搏大",
            "fangxiang": null,
        },
        "申亥穿": {
            "name": "申亥穿",
            "guanxi": "穿",
            "father": null,
            "leibie": "地支穿",
            "hehua": null,
            "tip": "穿肠毒药，容易影响肠胃健康、出现肾病、宫寒、性病等",
            "fangxiang": null,
        },
    }

    export let config_gaoneng_query = {
        "甲己": [config_gaoneng["甲己合"]],
        "己甲": [config_gaoneng["甲己合"]],
        "乙庚": [config_gaoneng["乙庚合"]],
        "庚乙": [config_gaoneng["乙庚合"]],
        "丙辛": [config_gaoneng["丙辛合"]],
        "辛丙": [config_gaoneng["丙辛合"]],
        "丁壬": [config_gaoneng["丁壬合"]],
        "壬丁": [config_gaoneng["丁壬合"]],
        "戊癸": [config_gaoneng["戊癸合"]],
        "癸戊": [config_gaoneng["戊癸合"]],

        "甲庚": [config_gaoneng["甲庚冲"]],
        "庚甲": [config_gaoneng["甲庚冲"]],
        "乙辛": [config_gaoneng["乙辛冲"]],
        "辛乙": [config_gaoneng["乙辛冲"]],
        "丙壬": [config_gaoneng["丙壬冲"]],
        "壬丙": [config_gaoneng["丙壬冲"]],
        "丁癸": [config_gaoneng["丁癸冲"]],
        "癸丁": [config_gaoneng["丁癸冲"]],

        "子丑": [config_gaoneng["子丑合"]],
        "丑子": [config_gaoneng["子丑合"]],
        "寅亥": [config_gaoneng["寅亥合"], config_gaoneng["寅亥破"]],
        "亥寅": [config_gaoneng["寅亥合"], config_gaoneng["寅亥破"]],
        "卯戌": [config_gaoneng["卯戌合"]],
        "戌卯": [config_gaoneng["卯戌合"]],
        "酉辰": [config_gaoneng["酉辰合"]],
        "辰酉": [config_gaoneng["酉辰合"]],
        "巳申": [config_gaoneng["巳申合"], config_gaoneng["巳申刑"], config_gaoneng["巳申破"]],
        "申巳": [config_gaoneng["巳申合"], config_gaoneng["巳申刑"], config_gaoneng["巳申破"]],
        "午未": [config_gaoneng["午未合"]],
        "未午": [config_gaoneng["午未合"]],

        "子午": [config_gaoneng["子午冲"]],
        "午子": [config_gaoneng["子午冲"]],
        "巳亥": [config_gaoneng["巳亥冲"]],
        "亥巳": [config_gaoneng["巳亥冲"]],
        "卯酉": [config_gaoneng["卯酉冲"]],
        "酉卯": [config_gaoneng["卯酉冲"]],
        "申寅": [config_gaoneng["申寅冲"]],
        "寅申": [config_gaoneng["申寅冲"]],
        "辰戌": [config_gaoneng["辰戌冲"]],
        "戌辰": [config_gaoneng["辰戌冲"]],
        "丑未": [config_gaoneng["丑未冲"]],
        "未丑": [config_gaoneng["丑未冲"]],

        "寅丑": [config_gaoneng["寅丑暗合"]],
        "丑寅": [config_gaoneng["寅丑暗合"]],
        "午亥": [config_gaoneng["午亥暗合"]],
        "亥午": [config_gaoneng["午亥暗合"]],
        "申卯": [config_gaoneng["申卯暗合"]],
        "卯申": [config_gaoneng["申卯暗合"]],

        "子辰": [config_gaoneng["子辰半合"]],
        "辰子": [config_gaoneng["子辰半合"]],
        "申子": [config_gaoneng["申子半合"]],
        "子申": [config_gaoneng["申子半合"]],
        "亥卯": [config_gaoneng["亥卯半合"]],
        "卯亥": [config_gaoneng["亥卯半合"]],
        "卯未": [config_gaoneng["卯未半合"]],
        "未卯": [config_gaoneng["卯未半合"]],
        "寅午": [config_gaoneng["寅午半合"]],
        "午寅": [config_gaoneng["寅午半合"]],
        "午戌": [config_gaoneng["午戌半合"]],
        "戌午": [config_gaoneng["午戌半合"]],
        "巳酉": [config_gaoneng["巳酉半合"]],
        "酉巳": [config_gaoneng["巳酉半合"]],
        "酉丑": [config_gaoneng["酉丑半合"]],
        "丑酉": [config_gaoneng["酉丑半合"]],

        "申辰": [config_gaoneng["申辰拱合"]],
        "辰申": [config_gaoneng["申辰拱合"]],
        "亥未": [config_gaoneng["亥未拱合"]],
        "未亥": [config_gaoneng["亥未拱合"]],
        "寅戌": [config_gaoneng["寅戌拱合"]],
        "戌寅": [config_gaoneng["寅戌拱合"]],
        "巳丑": [config_gaoneng["巳丑拱合"]],
        "丑巳": [config_gaoneng["巳丑拱合"]],

        "寅卯辰": [config_gaoneng["寅卯辰三会"]],
        "寅辰卯": [config_gaoneng["寅卯辰三会"]],
        "卯寅辰": [config_gaoneng["寅卯辰三会"]],
        "卯辰寅": [config_gaoneng["寅卯辰三会"]],
        "辰寅卯": [config_gaoneng["寅卯辰三会"]],
        "辰卯寅": [config_gaoneng["寅卯辰三会"]],
        "巳午未": [config_gaoneng["巳午未三会"]],
        "巳未午": [config_gaoneng["巳午未三会"]],
        "午巳未": [config_gaoneng["巳午未三会"]],
        "午未巳": [config_gaoneng["巳午未三会"]],
        "未巳午": [config_gaoneng["巳午未三会"]],
        "未午巳": [config_gaoneng["巳午未三会"]],
        "申酉戌": [config_gaoneng["申酉戌三会"]],
        "申戌酉": [config_gaoneng["申酉戌三会"]],
        "酉申戌": [config_gaoneng["申酉戌三会"]],
        "酉戌申": [config_gaoneng["申酉戌三会"]],
        "戌申酉": [config_gaoneng["申酉戌三会"]],
        "戌酉申": [config_gaoneng["申酉戌三会"]],
        "亥子丑": [config_gaoneng["亥子丑三会"]],
        "亥丑子": [config_gaoneng["亥子丑三会"]],
        "子亥丑": [config_gaoneng["亥子丑三会"]],
        "子丑亥": [config_gaoneng["亥子丑三会"]],
        "丑亥子": [config_gaoneng["亥子丑三会"]],
        "丑子亥": [config_gaoneng["亥子丑三会"]],

        "子卯": [config_gaoneng["子卯刑"]],
        "卯子": [config_gaoneng["子卯刑"]],
        "寅巳": [config_gaoneng["寅巳刑"], config_gaoneng["寅巳穿"]],
        "巳寅": [config_gaoneng["寅巳刑"], config_gaoneng["寅巳穿"]],
        "戌未": [config_gaoneng["戌未刑"], config_gaoneng["戌未破"]],
        "未戌": [config_gaoneng["戌未刑"], config_gaoneng["戌未破"]],
        "丑戌": [config_gaoneng["丑戌刑"]],
        "戌丑": [config_gaoneng["丑戌刑"]],

        "辰辰": [config_gaoneng["辰辰自刑"]],
        "午午": [config_gaoneng["午午自刑"]],
        "酉酉": [config_gaoneng["酉酉自刑"]],
        "亥亥": [config_gaoneng["亥亥自刑"]],

        "卯午": [config_gaoneng["卯午破"]],
        "午卯": [config_gaoneng["卯午破"]],
        "午酉": [config_gaoneng["午酉破"]],
        "酉午": [config_gaoneng["午酉破"]],
        "子酉": [config_gaoneng["子酉破"]],
        "酉子": [config_gaoneng["子酉破"]],
        "丑辰": [config_gaoneng["丑辰破"]],
        "辰丑": [config_gaoneng["丑辰破"]],

        "子未": [config_gaoneng["子未穿"]],
        "未子": [config_gaoneng["子未穿"]],
        "卯辰": [config_gaoneng["卯辰穿"]],
        "辰卯": [config_gaoneng["卯辰穿"]],
        "酉戌": [config_gaoneng["酉戌穿"]],
        "戌酉": [config_gaoneng["酉戌穿"]],
        "午丑": [config_gaoneng["午丑穿"]],
        "丑午": [config_gaoneng["午丑穿"]],
        "申亥": [config_gaoneng["申亥穿"]],
        "亥申": [config_gaoneng["申亥穿"]],
    }

    export let config_shishen = {
        "甲": {
            "甲": "比",
            "乙": "劫",
            "丙": "食",
            "丁": "伤",
            "戊": "才",
            "己": "财",
            "庚": "杀",
            "辛": "官",
            "壬": "枭",
            "癸": "印",
            "子": "印",
            "丑": "财",
            "寅": "比",
            "卯": "劫",
            "辰": "才",
            "巳": "食",
            "午": "伤",
            "未": "财",
            "申": "杀",
            "酉": "官",
            "戌": "才",
            "亥": "枭",
        },
        "乙": {
            "甲": "劫",
            "乙": "比",
            "丙": "伤",
            "丁": "食",
            "戊": "财",
            "己": "才",
            "庚": "官",
            "辛": "杀",
            "壬": "印",
            "癸": "枭",
            "子": "枭",
            "丑": "才",
            "寅": "劫",
            "卯": "比",
            "辰": "财",
            "巳": "伤",
            "午": "食",
            "未": "才",
            "申": "官",
            "酉": "杀",
            "戌": "财",
            "亥": "印",
        },
        "丙": {
            "甲": "枭",
            "乙": "印",
            "丙": "比",
            "丁": "劫",
            "戊": "食",
            "己": "伤",
            "庚": "才",
            "辛": "财",
            "壬": "杀",
            "癸": "官",
            "子": "官",
            "丑": "伤",
            "寅": "枭",
            "卯": "印",
            "辰": "食",
            "巳": "比",
            "午": "劫",
            "未": "伤",
            "申": "才",
            "酉": "财",
            "戌": "食",
            "亥": "杀",
        },
        "丁": {
            "甲": "印",
            "乙": "枭",
            "丙": "劫",
            "丁": "比",
            "戊": "伤",
            "己": "食",
            "庚": "财",
            "辛": "才",
            "壬": "官",
            "癸": "杀",
            "子": "杀",
            "丑": "食",
            "寅": "印",
            "卯": "枭",
            "辰": "伤",
            "巳": "劫",
            "午": "比",
            "未": "食",
            "申": "财",
            "酉": "才",
            "戌": "伤",
            "亥": "官",
        },
        "戊": {
            "甲": "杀",
            "乙": "官",
            "丙": "枭",
            "丁": "印",
            "戊": "比",
            "己": "劫",
            "庚": "食",
            "辛": "伤",
            "壬": "才",
            "癸": "财",
            "子": "财",
            "丑": "劫",
            "寅": "杀",
            "卯": "官",
            "辰": "比",
            "巳": "枭",
            "午": "印",
            "未": "劫",
            "申": "食",
            "酉": "伤",
            "戌": "比",
            "亥": "才",
        },
        "己": {
            "甲": "官",
            "乙": "杀",
            "丙": "印",
            "丁": "枭",
            "戊": "劫",
            "己": "比",
            "庚": "伤",
            "辛": "食",
            "壬": "财",
            "癸": "才",
            "子": "才",
            "丑": "比",
            "寅": "官",
            "卯": "杀",
            "辰": "劫",
            "巳": "印",
            "午": "枭",
            "未": "比",
            "申": "伤",
            "酉": "食",
            "戌": "劫",
            "亥": "财",
        },
        "庚": {
            "甲": "才",
            "乙": "财",
            "丙": "杀",
            "丁": "官",
            "戊": "枭",
            "己": "印",
            "庚": "比",
            "辛": "劫",
            "壬": "食",
            "癸": "伤",
            "子": "伤",
            "丑": "印",
            "寅": "才",
            "卯": "财",
            "辰": "枭",
            "巳": "杀",
            "午": "官",
            "未": "印",
            "申": "比",
            "酉": "劫",
            "戌": "枭",
            "亥": "食",
        },
        "辛": {
            "甲": "财",
            "乙": "才",
            "丙": "官",
            "丁": "杀",
            "戊": "印",
            "己": "枭",
            "庚": "劫",
            "辛": "比",
            "壬": "伤",
            "癸": "食",
            "子": "食",
            "丑": "枭",
            "寅": "财",
            "卯": "才",
            "辰": "印",
            "巳": "官",
            "午": "官",
            "未": "杀",
            "申": "劫",
            "酉": "比",
            "戌": "印",
            "亥": "伤",
        },
        "壬": {
            "甲": "食",
            "乙": "伤",
            "丙": "才",
            "丁": "财",
            "戊": "杀",
            "己": "官",
            "庚": "枭",
            "辛": "印",
            "壬": "比",
            "癸": "劫",
            "子": "劫",
            "丑": "官",
            "寅": "食",
            "卯": "伤",
            "辰": "杀",
            "巳": "才",
            "午": "财",
            "未": "官",
            "申": "枭",
            "酉": "印",
            "戌": "杀",
            "亥": "比",
        },
        "癸": {
            "甲": "伤",
            "乙": "食",
            "丙": "财",
            "丁": "才",
            "戊": "官",
            "己": "杀",
            "庚": "印",
            "辛": "枭",
            "壬": "劫",
            "癸": "比",
            "子": "比",
            "丑": "杀",
            "寅": "伤",
            "卯": "食",
            "辰": "官",
            "巳": "财",
            "午": "才",
            "未": "杀",
            "申": "印",
            "酉": "枭",
            "戌": "官",
            "亥": "劫",
        },
        "子": {
            "甲": "伤",
            "乙": "食",
            "丙": "财",
            "丁": "才",
            "戊": "官",
            "己": "杀",
            "庚": "印",
            "辛": "枭",
            "壬": "劫",
            "癸": "比",
            "子": "比",
            "丑": "杀",
            "寅": "伤",
            "卯": "食",
            "辰": "官",
            "巳": "财",
            "午": "才",
            "未": "杀",
            "申": "印",
            "酉": "枭",
            "戌": "官",
            "亥": "劫",
        },
        "丑": {
            "甲": "官",
            "乙": "杀",
            "丙": "印",
            "丁": "枭",
            "戊": "劫",
            "己": "比",
            "庚": "伤",
            "辛": "食",
            "壬": "财",
            "癸": "才",
            "子": "才",
            "丑": "比",
            "寅": "官",
            "卯": "杀",
            "辰": "劫",
            "巳": "印",
            "午": "枭",
            "未": "比",
            "申": "伤",
            "酉": "食",
            "戌": "劫",
            "亥": "财",
        },
        "寅": {
            "甲": "比",
            "乙": "劫",
            "丙": "食",
            "丁": "伤",
            "戊": "才",
            "己": "财",
            "庚": "杀",
            "辛": "官",
            "壬": "枭",
            "癸": "印",
            "子": "印",
            "丑": "财",
            "寅": "比",
            "卯": "劫",
            "辰": "才",
            "巳": "食",
            "午": "伤",
            "未": "财",
            "申": "杀",
            "酉": "官",
            "戌": "才",
            "亥": "枭",
        },
        "卯": {
            "甲": "劫",
            "乙": "比",
            "丙": "伤",
            "丁": "食",
            "戊": "财",
            "己": "才",
            "庚": "官",
            "辛": "杀",
            "壬": "印",
            "癸": "枭",
            "子": "枭",
            "丑": "才",
            "寅": "劫",
            "卯": "比",
            "辰": "财",
            "巳": "伤",
            "午": "食",
            "未": "才",
            "申": "官",
            "酉": "杀",
            "戌": "财",
            "亥": "印",
        },
        "辰": {
            "甲": "杀",
            "乙": "官",
            "丙": "枭",
            "丁": "印",
            "戊": "比",
            "己": "劫",
            "庚": "食",
            "辛": "伤",
            "壬": "才",
            "癸": "财",
            "子": "财",
            "丑": "劫",
            "寅": "杀",
            "卯": "官",
            "辰": "比",
            "巳": "枭",
            "午": "印",
            "未": "劫",
            "申": "食",
            "酉": "伤",
            "戌": "比",
            "亥": "才",
        },
        "巳": {
            "甲": "枭",
            "乙": "印",
            "丙": "比",
            "丁": "劫",
            "戊": "食",
            "己": "伤",
            "庚": "才",
            "辛": "财",
            "壬": "杀",
            "癸": "官",
            "子": "官",
            "丑": "伤",
            "寅": "枭",
            "卯": "印",
            "辰": "食",
            "巳": "比",
            "午": "劫",
            "未": "伤",
            "申": "才",
            "酉": "财",
            "戌": "食",
            "亥": "杀",
        },
        "午": {
            "甲": "印",
            "乙": "枭",
            "丙": "劫",
            "丁": "比",
            "戊": "伤",
            "己": "食",
            "庚": "财",
            "辛": "才",
            "壬": "官",
            "癸": "杀",
            "子": "杀",
            "丑": "食",
            "寅": "印",
            "卯": "枭",
            "辰": "伤",
            "巳": "劫",
            "午": "比",
            "未": "食",
            "申": "财",
            "酉": "才",
            "戌": "伤",
            "亥": "官",
        },
        "未": {
            "甲": "官",
            "乙": "杀",
            "丙": "印",
            "丁": "枭",
            "戊": "劫",
            "己": "比",
            "庚": "伤",
            "辛": "食",
            "壬": "财",
            "癸": "才",
            "子": "才",
            "丑": "比",
            "寅": "官",
            "卯": "杀",
            "辰": "劫",
            "巳": "印",
            "午": "枭",
            "未": "比",
            "申": "伤",
            "酉": "食",
            "戌": "劫",
            "亥": "财",
        },
        "申": {
            "甲": "才",
            "乙": "财",
            "丙": "杀",
            "丁": "官",
            "戊": "枭",
            "己": "印",
            "庚": "比",
            "辛": "劫",
            "壬": "食",
            "癸": "伤",
            "子": "伤",
            "丑": "印",
            "寅": "才",
            "卯": "财",
            "辰": "枭",
            "巳": "杀",
            "午": "官",
            "未": "印",
            "申": "比",
            "酉": "劫",
            "戌": "枭",
            "亥": "食",
        },
        "酉": {
            "甲": "财",
            "乙": "才",
            "丙": "官",
            "丁": "杀",
            "戊": "印",
            "己": "枭",
            "庚": "劫",
            "辛": "比",
            "壬": "伤",
            "癸": "食",
            "子": "食",
            "丑": "枭",
            "寅": "财",
            "卯": "才",
            "辰": "印",
            "巳": "官",
            "午": "官",
            "未": "杀",
            "申": "劫",
            "酉": "比",
            "戌": "印",
            "亥": "伤",
        },
        "戌": {
            "甲": "杀",
            "乙": "官",
            "丙": "枭",
            "丁": "印",
            "戊": "比",
            "己": "劫",
            "庚": "食",
            "辛": "伤",
            "壬": "才",
            "癸": "财",
            "子": "财",
            "丑": "劫",
            "寅": "杀",
            "卯": "官",
            "辰": "比",
            "巳": "枭",
            "午": "印",
            "未": "劫",
            "申": "食",
            "酉": "伤",
            "戌": "比",
            "亥": "才",
        },
        "亥": {
            "甲": "食",
            "乙": "伤",
            "丙": "才",
            "丁": "财",
            "戊": "杀",
            "己": "官",
            "庚": "枭",
            "辛": "印",
            "壬": "比",
            "癸": "劫",
            "子": "劫",
            "丑": "官",
            "寅": "食",
            "卯": "伤",
            "辰": "杀",
            "巳": "才",
            "午": "财",
            "未": "官",
            "申": "枭",
            "酉": "印",
            "戌": "杀",
            "亥": "比",
        },
    }

    export let config_gaoneng_xing = {
        "寅巳刑": {
            "刑出": ["丙", "戊"],
            "刑冲": ["甲庚冲"]
        },
        "巳申刑": {
            "刑出": ["庚", "戊"],
            "刑冲": ["丙壬冲"]
        },
        "戌未刑": {
            "刑出": ["丁"],
            "刑冲": ["乙辛冲"]
        },
        "丑戌刑": {
            "刑出": ["辛"],
            "刑冲": ["丁癸冲"]
        },
    }

    export let config_gaoneng_score = {
        "合": {
            "官": {
                "官": 2,
                "杀": 1,
                "财": 8,
                "才": 7,
                "印": 10,
                "枭": 9,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "杀": {
                "官": 2,
                "杀": 1,
                "财": 8,
                "才": 7,
                "印": 10,
                "枭": 9,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "财": {
                "官": 8,
                "杀": 7,
                "财": 2,
                "才": 1,
                "印": 10,
                "枭": 9,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "才": {
                "官": 8,
                "杀": 7,
                "财": 2,
                "才": 1,
                "印": 10,
                "枭": 9,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "印": {
                "官": 9,
                "杀": 10,
                "财": 8,
                "才": 7,
                "印": 2,
                "枭": 1,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "枭": {
                "官": 9,
                "杀": 10,
                "财": 8,
                "才": 7,
                "印": 2,
                "枭": 1,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "食": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 2,
                "伤": 1,
                "比": 4,
                "劫": 3,
            },
            "伤": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 2,
                "伤": 1,
                "比": 4,
                "劫": 3,
            },
            "比": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 4,
                "伤": 3,
                "比": 2,
                "劫": 1,
            },
            "劫": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 4,
                "伤": 3,
                "比": 2,
                "劫": 1,
            },
        },
        "暗合": {
            "官": {
                "官": 2,
                "杀": 1,
                "财": 8,
                "才": 7,
                "印": 10,
                "枭": 9,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "杀": {
                "官": 2,
                "杀": 1,
                "财": 8,
                "才": 7,
                "印": 10,
                "枭": 9,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "财": {
                "官": 8,
                "杀": 7,
                "财": 2,
                "才": 1,
                "印": 10,
                "枭": 9,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "才": {
                "官": 8,
                "杀": 7,
                "财": 2,
                "才": 1,
                "印": 10,
                "枭": 9,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "印": {
                "官": 9,
                "杀": 10,
                "财": 8,
                "才": 7,
                "印": 2,
                "枭": 1,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "枭": {
                "官": 9,
                "杀": 10,
                "财": 8,
                "才": 7,
                "印": 2,
                "枭": 1,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "食": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 2,
                "伤": 1,
                "比": 4,
                "劫": 3,
            },
            "伤": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 2,
                "伤": 1,
                "比": 4,
                "劫": 3,
            },
            "比": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 4,
                "伤": 3,
                "比": 2,
                "劫": 1,
            },
            "劫": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 4,
                "伤": 3,
                "比": 2,
                "劫": 1,
            },
        },
        "半合": {
            "官": {
                "官": 2,
                "杀": 1,
                "财": 8,
                "才": 7,
                "印": 10,
                "枭": 9,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "杀": {
                "官": 2,
                "杀": 1,
                "财": 8,
                "才": 7,
                "印": 10,
                "枭": 9,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "财": {
                "官": 8,
                "杀": 7,
                "财": 2,
                "才": 1,
                "印": 10,
                "枭": 9,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "才": {
                "官": 8,
                "杀": 7,
                "财": 2,
                "才": 1,
                "印": 10,
                "枭": 9,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "印": {
                "官": 9,
                "杀": 10,
                "财": 8,
                "才": 7,
                "印": 2,
                "枭": 1,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "枭": {
                "官": 9,
                "杀": 10,
                "财": 8,
                "才": 7,
                "印": 2,
                "枭": 1,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "食": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 2,
                "伤": 1,
                "比": 4,
                "劫": 3,
            },
            "伤": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 2,
                "伤": 1,
                "比": 4,
                "劫": 3,
            },
            "比": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 4,
                "伤": 3,
                "比": 2,
                "劫": 1,
            },
            "劫": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 4,
                "伤": 3,
                "比": 2,
                "劫": 1,
            },
        },
        "拱合": {
            "官": {
                "官": 2,
                "杀": 1,
                "财": 8,
                "才": 7,
                "印": 10,
                "枭": 9,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "杀": {
                "官": 2,
                "杀": 1,
                "财": 8,
                "才": 7,
                "印": 10,
                "枭": 9,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "财": {
                "官": 8,
                "杀": 7,
                "财": 2,
                "才": 1,
                "印": 10,
                "枭": 9,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "才": {
                "官": 8,
                "杀": 7,
                "财": 2,
                "才": 1,
                "印": 10,
                "枭": 9,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "印": {
                "官": 9,
                "杀": 10,
                "财": 8,
                "才": 7,
                "印": 2,
                "枭": 1,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "枭": {
                "官": 9,
                "杀": 10,
                "财": 8,
                "才": 7,
                "印": 2,
                "枭": 1,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "食": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 2,
                "伤": 1,
                "比": 4,
                "劫": 3,
            },
            "伤": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 2,
                "伤": 1,
                "比": 4,
                "劫": 3,
            },
            "比": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 4,
                "伤": 3,
                "比": 2,
                "劫": 1,
            },
            "劫": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 4,
                "伤": 3,
                "比": 2,
                "劫": 1,
            },
        },
        "冲": {
            "官": {
                "官": 2,
                "杀": 1,
                "财": 10,
                "才": 9,
                "印": 4,
                "枭": 3,
                "食": 6,
                "伤": 5,
                "比": 8,
                "劫": 7,
            },
            "杀": {
                "官": 2,
                "杀": 1,
                "财": 10,
                "才": 9,
                "印": 4,
                "枭": 3,
                "食": 6,
                "伤": 5,
                "比": 8,
                "劫": 7,
            },
            "财": {
                "官": 8,
                "杀": 7,
                "财": 2,
                "才": 1,
                "印": 10,
                "枭": 9,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "才": {
                "官": 8,
                "杀": 7,
                "财": 2,
                "才": 1,
                "印": 10,
                "枭": 9,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "印": {
                "官": 4,
                "杀": 3,
                "财": 10,
                "才": 9,
                "印": 2,
                "枭": 1,
                "食": 8,
                "伤": 7,
                "比": 6,
                "劫": 5,
            },
            "枭": {
                "官": 4,
                "杀": 3,
                "财": 10,
                "才": 9,
                "印": 2,
                "枭": 1,
                "食": 8,
                "伤": 7,
                "比": 6,
                "劫": 5,
            },
            "食": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 2,
                "伤": 1,
                "比": 4,
                "劫": 3,
            },
            "伤": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 2,
                "伤": 1,
                "比": 4,
                "劫": 3,
            },
            "比": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 4,
                "伤": 3,
                "比": 2,
                "劫": 1,
            },
            "劫": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 4,
                "伤": 3,
                "比": 2,
                "劫": 1,
            },
        },
        "穿": {
            "官": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "杀": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "财": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "才": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "印": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "枭": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "食": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "伤": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "比": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "劫": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
        },
        "破": {
            "官": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "杀": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "财": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "才": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "印": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "枭": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "食": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "伤": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "比": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "劫": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
        },
        "刑": {
            "官": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "杀": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "财": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "才": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "印": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "枭": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "食": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "伤": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "比": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "劫": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
        },
    }

    export let config_gaoneng_lushen_score = {
        "合": 80,
        "暗合": 70,
        "冲": 10,
        "刑": -10,
        "破": -20,
        "穿": -30,
    }

    export let config_gaoneng_guanxi_score = {
        "合": 50,
        "暗合": 40,
        "半合": 0,
        "拱合": 0,
        "刑": -30,
        "冲": -20,
        "穿": -40,
        "破": -35,
    }
}